#
# try to consume food up to 1 block away, if successful activates love mode
#

#initialize temp variables
scoreboard players set #afh_breedItemConsumed afh 0

# check if donkey is tamed
function afh:entity_check_tamed

# check if tamed donkey is already in love
execute if score #afh_entityIsTamed afh matches 1 run function afh:entity_check_inlove

# check if tamed donkey is at full health
execute if score #afh_entityIsTamed afh matches 1 run function afh:entity_check_full_health

# consume breeding food item if available and donkey is not at full health or in love
execute if score #afh_entityIsTamed afh matches 1 if score #afh_entityAtFullHealth afh matches 0 run function afh:donkeys/donkey_feed_breed
execute if score #afh_entityIsTamed afh matches 1 if score #afh_entityAtFullHealth afh matches 1 if score #afh_entityInLove afh matches 0 run function afh:donkeys/donkey_feed_breed
execute if score #afh_entityIsTamed afh matches 1 if score #afh_itemConsumedCount afh matches 1 run scoreboard players set #afh_breedItemConsumed afh 1

# consume healing food item if available and no other food was consumed
execute if score #afh_entityIsTamed afh matches 1 unless score #afh_breedItemConsumed afh matches 1 if score #afh_entityAtFullHealth afh matches 0 run function afh:donkeys/donkey_feed_heal

# heal the donkey it's not at full health and food item was consumed
execute if score #afh_entityIsTamed afh matches 1 if score #afh_itemConsumedCount afh matches 1 if score #afh_entityAtFullHealth afh matches 0 run function afh:entity_heal

# activate love mode for the donkey if a breeding item was consumed and it's not already in love
execute if score #afh_entityIsTamed afh matches 1 if score #afh_breedItemConsumed afh matches 1 if score #afh_entityInLove afh matches 0 run function afh:entity_activate_love_mode

# cleanup
scoreboard players reset #afh_entityIsTamed afh
scoreboard players reset #afh_itemConsumedCount afh
scoreboard players reset #afh_entityAtFullHealth afh
scoreboard players reset #afh_healAmount afh
scoreboard players reset afh_entityInLove afh
scoreboard players reset #afh_breedItemConsumed afh
