#
# heals caller entity health
#
# input
#	@s => entity with health and maxHealth
#	score for player #afh_healAmount on objective afh >= 1
#
# output
#	score for player #afh_entityAtFullHealth on objective afh is set to 1 if health = maxHealth
#

# temp current/max health vars
execute store result score #afh_health afh run data get entity @s Health
execute store result score #afh_maxHealth afh run data get entity @s Attributes[{Name:"generic.maxHealth"}].Base

# increase current health according to healing amount
scoreboard players operation #afh_health afh += #afh_healAmount afh

# make sure current health doesn't go over max health
execute if score #afh_health afh > #afh_maxHealth afh run scoreboard players operation #afh_health afh = #afh_maxHealth afh

# update the entity health
execute store result entity @s Health double 1 run scoreboard players get #afh_health afh
